package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PricingEspecificoOcupacion;

public class RenderPricingEspecificoOcupacion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PricingEspecificoOcupacion peo = (PricingEspecificoOcupacion) o;
		
		if (!peo.getActivo()) {
			return;
		}

		Listcell lc = new Listcell(peo.getTarifa().toString());
		lc.setParent(lstm);

		lc = new Listcell(peo.getOcupacioninicial().toString());
		lc.setParent(lstm);

		lc = new Listcell(peo.getOcupacionfinal().toString());
		lc.setParent(lstm);

	}

}
